Modify

Opened 7 weeks ago

Closed 2 weeks ago

#19743 closed defect (fixed)

Opening_hour with SH: false positive and fix destroying valid tag.

Reported by: skyper Owned by: team
Priority: critical Milestone: 20.10
Component: Core validator Version: latest
Keywords: template_report opening_hour Cc: simon04

Description

What steps will reproduce the problem?

  1. Have info level warnings enabled.
  2. Have an object with opening_hours=SH Mo-Fr 09:33-15:35.
  3. Run validator

What is the expected result?

No warning

What happens instead?

Informal warning: Opening hours syntax - opening_hours value can be prettified
and the auto fix changes the value to an invalid SH SH,Mo-Fr 09:30-18:35.

Please provide any additional information below. Attach a screenshot if possible.

Mark this as critical as the autofix destroys valid data.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-08-30 23:20:08 +0200 (Sun, 30 Aug 2020)
Revision:16989
Build-Date:2020-08-31 01:30:50
URL:https://josm.openstreetmap.de/svn/trunk

Attachments (0)

Change History (2)

comment:1 Changed 2 weeks ago by Don-vip

Milestone: 20.10

comment:2 Changed 2 weeks ago by simon04

Resolution: fixed
Status: newclosed

In 17085/josm:

fix #19743, fix #19879 - Update to OpeningHoursParser 0.22.1

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.